Skip to main content
GET
/
shield_lists
/
{shield_list_id}
cURL
curl -i -X GET "https://api.box.com/2.0/shield_lists/90fb0e17-c332-40ed-b4f9-fa8908fbbb24" \
     -H "box-version: 2025.0" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
client.shield_lists.get_shield_list_by_id_v2025_r0(shield_list_country.id)
await client.shieldLists.getShieldListByIdV2025R0(shieldListCountry.id);
client.getShieldLists().getShieldListByIdV2025R0(shieldListCountry.getId())
await client.ShieldLists.GetShieldListByIdV2025R0Async(shieldListId: shieldListCountry.Id);
{
  "id": "90fb0e17-c332-40ed-b4f9-fa8908fbbb24",
  "type": "shield_list",
  "name": "Shield List Name",
  "enterprise": {
    "id": "1910967",
    "type": "enterprise"
  },
  "created_at": "2025-01-13T15:31:01.896Z",
  "updated_at": "2025-01-13T15:31:01.896Z",
  "content": {
    "type": "country",
    "country_codes": [
      "US",
      "PL"
    ]
  },
  "description": "A list of things that are shielded"
}
{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}
Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

box-version
enum<string>
required

Version header.

Available options:
2025.0

Path Parameters

shield_list_id
string
required

The unique identifier that represents a shield list. The ID for any Shield List can be determined by the response from the endpoint fetching all shield lists for the enterprise.

Response

Returns the shield list object.

A standard representation of a Shield List.

id
string
required

Unique identifier for the shield list.

Example:

"90fb0e17-c332-40ed-b4f9-fa8908fbbb24"

type
string
required

Type of the object.

Example:

"shield_list"

name
string
required

Name of the shield list.

Example:

"Shield List Name"

enterprise
Enterprise reference · object
required

Enterprise for which this list belongs to.

created_at
string<date-time>
required

ISO date time string when this shield list object was created.

Example:

"2025-01-13T15:31:01.896Z"

updated_at
string<date-time>
required

ISO date time string when this shield list object was updated.

Example:

"2025-01-13T15:31:01.896Z"

content
Shield List Content (Country) · object
required

Specifies the type of elements in this Shield List and includes the elements themselves.

description
string

Description of Shield List.

Example:

"A list of things that are shielded"

Last modified on January 23, 2026